summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Zordrak2010-04-18 07:03:14 +0200
committer David Somero2010-05-15 10:38:19 +0200
commit906ac354a1bcf4d0fde922341410d042084497ae (patch)
tree8098fc13e1e59a01b79448faddb37bf7240b23c2
parent7eca71744e080d92e4d208408cc09e17830f6e49 (diff)
downloadslackbuilds-906ac354a1bcf4d0fde922341410d042084497ae.tar.gz
system/clusterglue: Added (Reusable Cluster Components)
-rw-r--r--system/clusterglue/README10
-rw-r--r--system/clusterglue/clusterglue.SlackBuild105
-rw-r--r--system/clusterglue/clusterglue.info10
-rw-r--r--system/clusterglue/doinst.sh17
-rw-r--r--system/clusterglue/slack-desc20
5 files changed, 162 insertions, 0 deletions
diff --git a/system/clusterglue/README b/system/clusterglue/README
new file mode 100644
index 0000000000..1b2ca75966
--- /dev/null
+++ b/system/clusterglue/README
@@ -0,0 +1,10 @@
+clusterglue (The interesting parts of Heartbeat without the ****)
+
+Also known as Reusable Cluster Components, Cluster Glue is the heart
+of the Heartbeat / OpenAIS / Corosync / Pacemaker application stack.
+
+In order to have a functioning High Availability software stack,
+before running this SlackBuild, build AND install, each in order,
+the following other SlackBuilds.
+
+Requires: libesmtp, and libnet available at SlackBuilds.org.
diff --git a/system/clusterglue/clusterglue.SlackBuild b/system/clusterglue/clusterglue.SlackBuild
new file mode 100644
index 0000000000..540f9b1f78
--- /dev/null
+++ b/system/clusterglue/clusterglue.SlackBuild
@@ -0,0 +1,105 @@
+#!/bin/sh
+# Generated by Alien's SlackBuild Toolkit: http://slackware.com/~alien/AST
+# Copyright 2009 Eric Hameleers <alien@slackware.com>, Eindhoven, Netherlands
+
+# Slackware build script for clusterglue
+
+# Written by Zordrak <sbo@tpa.me.uk>
+
+# Based on http://slackbuilds.org/template.SlackBuild
+# Modified by the SlackBuilds.org project
+
+PRGNAM=clusterglue
+VERSION=${VERSION:-6c8645d6a4c2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+# Bail out if assigned user or group isn't valid on your system
+# See http://slackbuilds.org/uid_gid.txt
+if ! grep ^haclient: /etc/group 2>&1 > /dev/null; then
+ echo " You must have a \"haclient\" group to run this script."
+ echo " # groupadd -g 226 haclient"
+ exit 1
+elif ! grep ^hacluster: /etc/passwd 2>&1 > /dev/null; then
+ echo " You must have a \"hacluster\" user to run this script."
+ echo " # useradd -u 226 -g haclient -c \"Cluster User\" -d /var/lib/heartbeat/cores/hacluster -s /bin/false hacluster"
+ exit 1
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$VERSION.tar.bz2
+mv Reusable-Cluster-Components-$VERSION clusterglue-$VERSION
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+./autogen.sh
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --with-ais-prefix=$PREFIX \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux \
+ --with-initdir=/etc/rc.d \
+ --with-snmp \
+ --enable-bundled-ltdl \
+ --enable-libnet
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING COPYING.LIB ChangeLog README INSTALL NEWS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mv $PKG/etc/rc.d/logd $PKG/etc/rc.d/rc.logd.new
+chmod +x $PKG/etc/rc.d/rc.logd.new
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/clusterglue/clusterglue.info b/system/clusterglue/clusterglue.info
new file mode 100644
index 0000000000..8ca806f18c
--- /dev/null
+++ b/system/clusterglue/clusterglue.info
@@ -0,0 +1,10 @@
+PRGNAM="clusterglue"
+VERSION="6c8645d6a4c2"
+HOMEPAGE="http://clusterlabs.org"
+DOWNLOAD="http://hg.linux-ha.org/glue/archive/6c8645d6a4c2.tar.bz2"
+DOWNLOAD_x86_64=""
+MD5SUM="68c8e70a3194f07ff12ca03e10105622"
+MD5SUM_x86_64=""
+MAINTAINER="Zordrak"
+EMAIL="slackbuilds@tpa.me.uk"
+APPROVED="dsomero"
diff --git a/system/clusterglue/doinst.sh b/system/clusterglue/doinst.sh
new file mode 100644
index 0000000000..5a19c488c6
--- /dev/null
+++ b/system/clusterglue/doinst.sh
@@ -0,0 +1,17 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ rm $NEW
+ fi
+}
+
+if [ -e etc/rc.d/rc.logd ]; then
+ cp -a etc/rc.d/rc.logd etc/rc.d/rc.logd.new.incoming
+ cat etc/rc.d/rc.logd.new > etc/rc.d/rc.logd.new.incoming
+ mv etc/rc.d/rc.logd.new.incoming etc/rc.d/rc.logd.new
+fi
+
+config etc/rc.d/rc.logd.new
diff --git a/system/clusterglue/slack-desc b/system/clusterglue/slack-desc
new file mode 100644
index 0000000000..5742d33b9c
--- /dev/null
+++ b/system/clusterglue/slack-desc
@@ -0,0 +1,20 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+clusterglue: clusterglue (The interesting parts of Heartbeat without the ****)
+clusterglue:
+clusterglue: Also known as Reusable Cluster Components, Cluster Glue is the heart
+clusterglue: of the Heartbeat / OpenAIS / Corosync / Pacemaker application stack.
+clusterglue:
+clusterglue: Cluster Glue is the base dependency of all that lives on top, i.e.
+clusterglue: Install This First.
+clusterglue:
+clusterglue:
+clusterglue: Homepage: http://clusterlabs.org
+clusterglue:
+